$ save_verify = 'f$verify(0)'
$!
$!  TITLE       ZIP_SLIP.COM
$!  IDENT       'V2.4, 11-01-95'
$!
$!  Facility:   This product is one component of the SLIP_Extensions software
$!              distribution package for use with CMU-OpenVMS/IP.
$!              
$!  Abstract:   This is a DCL command procedure that calls the ZIP file 
$!              compression utility and passes it the filenames to be archived
$!              and a comment to identify the archive.  This procedure is used
$!              to assemble the SLIP_Extensions software distribution package.
$!              
$!              You *MUST* define foreign commands to point to your ZIP and
$!              UNZIP utilities before using this command procedure.
$!
$!  Copyright  1995, Rob Puller.  All rights reserved.
$!
$!              Permission to use this product is granted subject to the terms
$!              and conditions set forth in the Reference Manual included with
$!              the product distribution package (which must be intact).
$!              
$!  Warnings:   No warranty of any type is provided.  No commitment is made,
$!              however, I'll fix reported bugs if time and resource permit.
$!              
$!  Contact:    Rob Puller                      Robley S. Puller, P.E.
$!                                              Consulting Engineer
$!              rpuller@afn.org                 2130 N.W. 51st Terrace
$!              http://www.afn.org/~rpuller/    Gainesville, FL  32605
$!
$!  History:    Comments
$!  --------    --------------------------------------------------------------
$!  11-01-95    Initial release.
$!
$!  Option definitions:                                             Utility:
$!  
$!  -u  Add new files and replace files with older creation dates.  ZIP
$!  -@  Take a list of files from standard input.                   ZIP
$!  -z  Add a multi-line comment terminated with a period.          ZIP
$!  -t  Test the compressed file integrity.                         UNZIP
$!  
$ say := write sys$output
$ say ""
$ if f$search("SLIP_Extensions.ZIP") .nes. ""
$ then
$ say "Updating existing archive SLIP_Extensions.ZIP"
$ say ""
$ zip SLIP_Extensions -u -@

    SLIP.COM
    SLIP.INI
    SLIP_ALARM.COM
    TERMSET.COM
    SLIP_DOC.PS
    SLIP_DOC.TXT
    ZIP_SLIP.COM

$ else
$ say "  Creating new archive SLIP_Extensions.ZIP"
$ say ""
$ zip SLIP_Extensions -@

    SLIP.COM
    SLIP.INI
    SLIP_ALARM.COM
    TERMSET.COM
    SLIP_DOC.PS
    SLIP_DOC.TXT
    ZIP_SLIP.COM

$ endif
$!
$!  Swallow the somewhat confusing output from the comment addition.  The
$!  output redirection only last for the one command; it returns to stdout.
$!  
$ define/user sys$output nl:
$ zip SLIP_Extensions -z
                                                          
    SLIP_Extensions V2.4 - Rob Puller's communication support software for
    CMU-OpenVMS/IP and CKERMIT running under the VMS operating system.
                                        
.
$!
$!  There are spaces in the lines above and below the preceding text to
$!  preserve the blank lines in the display.  The period at the start of
$!  the last line terminates input to the ZIP comment option.
$!
$ say ""
$ say "Testing the files in the SLIP_Extensions archive"
$ say ""
$!
$ unzip -t SLIP_Extensions
$ exit
